package body MSHTML.IWBScriptControl_Object is

   procedure raiseEvent
     (This      : IWBScriptControl_Type;
      name      : GNATCOM.Types.VARIANT;
      eventData : GNATCOM.Types.VARIANT;
      Free      : Boolean := True)
   is
   begin
      Invoke
        (This,
         IWBScriptControl_raiseEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => eventData,
          2 => name),
         Free);
   end raiseEvent;

   procedure bubbleEvent
     (This : IWBScriptControl_Type)
   is
   begin
      Invoke (This, IWBScriptControl_bubbleEvent);
   end bubbleEvent;

   procedure setContextMenu
     (This          : IWBScriptControl_Type;
      menuItemPairs : GNATCOM.Types.VARIANT;
      Free          : Boolean := True)
   is
   begin
      Invoke
        (This,
         IWBScriptControl_setContextMenu,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => menuItemPairs),
         Free);
   end setContextMenu;

   procedure Put_selectableContent
     (This : IWBScriptControl_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IWBScriptControl_Put_selectableContent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_selectableContent;

   function Get_selectableContent
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IWBScriptControl_Get_selectableContent);
   end Get_selectableContent;

   function Get_frozen
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IWBScriptControl_Get_frozen);
   end Get_frozen;

   procedure Put_Scrollbar
     (This : IWBScriptControl_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IWBScriptControl_Put_Scrollbar,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_Scrollbar;

   function Get_Scrollbar
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IWBScriptControl_Get_Scrollbar);
   end Get_Scrollbar;

   function Get_version
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IWBScriptControl_Get_version);
   end Get_version;

   function Get_visibility
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IWBScriptControl_Get_visibility);
   end Get_visibility;

   procedure Put_onvisibilitychange
     (This : IWBScriptControl_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IWBScriptControl_Put_onvisibilitychange,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onvisibilitychange;

   function Get_onvisibilitychange
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IWBScriptControl_Get_onvisibilitychange);
   end Get_onvisibilitychange;

end MSHTML.IWBScriptControl_Object;

